Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class ForeignKeyInfo

    java.lang.Object
      |
      +--kodo.jdbc.schema.ForeignKeyInfo

public class ForeignKeyInfo
extends Object

Holder for information about an imported key.

Since:
  3.0.0
See Also:
  `DBDictionary.getImportedKeys(java.sql.DatabaseMetaData, java.lang.String, java.lang.String, java.lang.String, java.sql.Connection)`, `SchemaGenerator`

Constructor Summary
`ForeignKeyInfo()`
`ForeignKeyInfo(ResultSet meta)`

Method Summary
`int` | `getDeferrability()`
`int` | `getDeleteRule()`
`String` | `getForeignKeyColumnName()`
`String` | `getForeignKeyName()`
`String` | `getForeignKeySchemaName()`
`String` | `getForeignKeyTableName()`
`int` | `getKeySequence()`
`String` | `getPrimaryKeyColumnName()`
`String` | `getPrimaryKeySchemaName()`
`String` | `getPrimaryKeyTableName()`
`void` | `setDeferrability(int deferrability)`
`void` | `setDeleteRule(int deleteRule)`
`void` | `setForeignKeyColumnName(String foreignKeyColumnName)`
`void` | `setForeignKeyName(String foreignKeyName)`
`void` | `setForeignKeySchemaName(String foreignKeySchemaName)`
`void` | `setForeignKeyTableName(String foreignKeyTableName)`
`void` | `setKeySequence(int keySequence)`
`void` | `setPrimaryKeyColumnName(String primaryKeyColumnName)`
`void` | `setPrimaryKeySchemaName(String primaryKeySchemaName)`
`void` | `setPrimaryKeyTableName(String primaryKeyTableName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignKeyInfo

    public ForeignKeyInfo()

### ForeignKeyInfo

    public ForeignKeyInfo(ResultSet meta)
                   throws SQLException

Method Detail

### setForeignKeySchemaName

    public void setForeignKeySchemaName(String foreignKeySchemaName)

### getForeignKeySchemaName

    public String getForeignKeySchemaName()

### setForeignKeyTableName

    public void setForeignKeyTableName(String foreignKeyTableName)

### getForeignKeyTableName

    public String getForeignKeyTableName()

### setForeignKeyName

    public void setForeignKeyName(String foreignKeyName)

### getForeignKeyName

    public String getForeignKeyName()

### setForeignKeyColumnName

    public void setForeignKeyColumnName(String foreignKeyColumnName)

### getForeignKeyColumnName

    public String getForeignKeyColumnName()

### setPrimaryKeySchemaName

    public void setPrimaryKeySchemaName(String primaryKeySchemaName)

### getPrimaryKeySchemaName

    public String getPrimaryKeySchemaName()

### setPrimaryKeyTableName

    public void setPrimaryKeyTableName(String primaryKeyTableName)

### getPrimaryKeyTableName

    public String getPrimaryKeyTableName()

### setPrimaryKeyColumnName

    public void setPrimaryKeyColumnName(String primaryKeyColumnName)

### getPrimaryKeyColumnName

    public String getPrimaryKeyColumnName()

### setKeySequence

    public void setKeySequence(int keySequence)

### getKeySequence

    public int getKeySequence()

### setDeferrability

    public void setDeferrability(int deferrability)

### getDeferrability

    public int getDeferrability()

### setDeleteRule

    public void setDeleteRule(int deleteRule)

### getDeleteRule

    public int getDeleteRule()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.